API ReferenceWorkflows
Rotate the inbound signing secret, immediately invalidating the old secret.
Rotate the inbound signing secret, immediately invalidating the old secret. - Rensei REST API operation reference.
PATCH
header
AuthorizationBearer <WorkOS user access token>WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.
id*stringLength
1 <= length <= 256Rotated; new secret returned once.
application/json- response
id*stringworkflowId*stringtriggerId*stringmapping*path*stringsecret*stringcurl -X PATCH 'https://app.rensei.ai/api/workflows/string/inbound-webhook'Example Response
{ "id": "string", "workflowId": "string", "triggerId": "string", "mapping": { "property1": "string", "property2": "string" }, "path": "string", "secret": "string"}